weka.core.pmml.jaxbbindings

## Class TextModelNormalization

- java.lang.Object
- - weka.core.pmml.jaxbbindings.TextModelNormalization

-     public class TextModelNormalization
      extends java.lang.Object

  Java class for TextModelNormalization element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="TextModelNormalization">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="documentNormalization" default="none">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="none"/>
                     <enumeration value="cosine"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="globalTermWeights" default="inverseDocumentFrequency">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="inverseDocumentFrequency"/>
                     <enumeration value="none"/>
                     <enumeration value="GFIDF"/>
                     <enumeration value="normal"/>
                     <enumeration value="probabilisticInverse"/>
                   </restriction>
                 </simpleType>
               </attribute>
               <attribute name="localTermWeights" default="termFrequency">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="termFrequency"/>
                     <enumeration value="binary"/>
                     <enumeration value="logarithmic"/>
                     <enumeration value="augmentedNormalizedTermFrequency"/>
                   </restriction>
                 </simpleType>
               </attribute>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextModelNormalization()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocumentNormalization()` Gets the value of the documentNormalization property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.String` | `getGlobalTermWeights()` Gets the value of the globalTermWeights property.
    `java.lang.String` | `getLocalTermWeights()` Gets the value of the localTermWeights property.
    `void` | `setDocumentNormalization(java.lang.String value)` Sets the value of the documentNormalization property.
    `void` | `setGlobalTermWeights(java.lang.String value)` Sets the value of the globalTermWeights property.
    `void` | `setLocalTermWeights(java.lang.String value)` Sets the value of the localTermWeights property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextModelNormalization

          public TextModelNormalization()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDocumentNormalization

          public java.lang.String getDocumentNormalization()

      Gets the value of the documentNormalization property.
      Returns:
        possible object is `String`

    - #### setDocumentNormalization

          public void setDocumentNormalization(java.lang.String value)

      Sets the value of the documentNormalization property.
      Parameters:
        `value` - allowed object is `String`

    - #### getGlobalTermWeights

          public java.lang.String getGlobalTermWeights()

      Gets the value of the globalTermWeights property.
      Returns:
        possible object is `String`

    - #### setGlobalTermWeights

          public void setGlobalTermWeights(java.lang.String value)

      Sets the value of the globalTermWeights property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocalTermWeights

          public java.lang.String getLocalTermWeights()

      Gets the value of the localTermWeights property.
      Returns:
        possible object is `String`

    - #### setLocalTermWeights

          public void setLocalTermWeights(java.lang.String value)

      Sets the value of the localTermWeights property.
      Parameters:
        `value` - allowed object is `String`